from pathlib import Path
from typing import List

from .common_filenames import STATE_DESCRIPTION_FILENAME
from .transform_dataset import transform_dataset

def preprocess(
    dataset_dir: Path,
    out_dir: Path,
    test_data_files: List[str] = None,
    excluded_files: List[str] = None,
    parallelize: bool = True,
) -> None:
    transform_out_dir = out_dir / 'transformed_data'
    out_dir = transform_dataset(dataset_dir, transform_out_dir, dataset_dir / STATE_DESCRIPTION_FILENAME, parallelize)

    print(f'Preprocessed files saved in {out_dir}')

    # grouped_out_dir = out_dir / 'grouped'
    # _group_dataset(dataset_dir, grouped_out_dir, test_data_files, excluded_files)
